<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Caracteristica extends Model
{
    /**
     * Los productos que tienen la característica.
     */
    public function productos(): BelongsToMany
    {
        return $this->belongsToMany(Producto::class);
    }
}
