<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Date;
use Illuminate\Support\Facades\DB;

class CaracteristicaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('caracteristicas')->insert([
            ['name'=>'SIN GLUTEN', 'created_at'=>Date::now()],
            ['name'=>'SIN SAL AGREGADA', 'created_at'=>Date::now()],
            ['name'=>'SIN AZÚCAR AGREGADA', 'created_at'=>Date::now()],
            ['name'=>'SIN PRODUCTOS DE ORIGEN ANIMAL', 'created_at'=>Date::now()],
        ]);
    }
}
